import { ExamQueryItem } from '@/api/types/exam';

export interface UserMenuItem {
  id: number;
  name: string;
  url: string;
  icon: string;
  type: string;
  parentId: number;
  sequence: number;
  enable: boolean;
}

export type AppMenuItem = {
  id: number;
  name: string;
  url: string;
  icon: string;
  type: string;
  parentId: number;
  sequence: number;
  enable: boolean;
  children: AppMenuItem[];
};

export interface AppState {
  versionName: string;
  versionDate: string;
  appMenus: AppMenuItem[];
  validRoutes: string[];
  breadcrumbs: string[];
  device: string;
  curExam: ExamQueryItem;
}
